"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.jwt = void 0;
const client_1 = require("@deep-foundation/hasura/client");
const jsonwebtoken_1 = __importDefault(require("jsonwebtoken"));
const apolloClient = (0, client_1.generateApolloClient)({
    path: `${process.env.DEEPLINKS_HASURA_PATH}/v1/graphql`,
    ssl: !!+process.env.DEEPLINKS_HASURA_SSL,
    secret: process.env.DEEPLINKS_HASURA_SECRET,
});
function jwt(options) {
    const role = options.role || 'link';
    return jsonwebtoken_1.default.sign({
        "https://hasura.io/jwt/claims": {
            "x-hasura-allowed-roles": [role],
            "x-hasura-default-role": role,
            "x-hasura-user-id": options.linkId.toString(),
        }
    }, options.secret);
}
exports.jwt = jwt;
//# sourceMappingURL=jwt.js.map